summaryrefslogtreecommitdiff
path: root/modules/blobs/commit.d.sh
diff options
context:
space:
mode:
Diffstat (limited to 'modules/blobs/commit.d.sh')
-rw-r--r--modules/blobs/commit.d.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/modules/blobs/commit.d.sh b/modules/blobs/commit.d.sh
new file mode 100644
index 0000000..620a88f
--- /dev/null
+++ b/modules/blobs/commit.d.sh
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+# rvs blobs/commit.d - add a directory to the repository
+# Copyright (C) 2009-2010, 2015 Luke Shumaker
+#
+# This file is part of rvs.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${0%/*}/_stdio.sh"
+
+usage='DIRECTORY'
+[[ $# -eq 1 ]] || errusage
+dir="$1"
+
+shopt -s dotglob
+cd "$dir"
+tmpfile="$(mktemp -t "${0##*/}.XXXXXXXXXX")"
+for file in *; do
+ id="$("$RVS" commit "$file")"
+ stat -c $'%a\t%u (%U)\t%g (%G)\t' -- "$file"
+ printf $'%s\t%s\n' "$id" "$file"
+done > "$tmpfile"
+"$RVS" commit.f "$tmpfile" d